﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Chess.Test
{
    [TestClass]
    public class BoardCoordinateTest
    {
        [TestClass]
        public class IsValidCoordinateForBoardSize
        {
            [TestMethod]
            public void ReturnsFalseForXLessThanZero()
            {
                var bc = new BoardCoordinate(-1, 2);
                Assert.IsFalse(bc.IsValidCoordinateForBoardSize(6));
            }

            [TestMethod]
            public void ReturnsFalseForYLessThanZero()
            {
                var bc = new BoardCoordinate(1, -20);
                Assert.IsFalse(bc.IsValidCoordinateForBoardSize(6));
            }
        }
       
    }
}
