﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Chess
{
    public class Pawn : Piece
    {
        public override IEnumerable<BoardCoordinate> GetMovesFrom(BoardCoordinate bc, int boardSize)
        {
            yield return new BoardCoordinate(bc.X, bc.Y + 1);
            if(!HasMoved)
                yield return new BoardCoordinate(bc.X, bc.Y + 2);
        }
    }
}
