﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Chess
{
    public class Rook : Piece
    {
        public override IEnumerable<BoardCoordinate> GetMovesFrom(BoardCoordinate bc, int boardSize)
        {
            for (int index = 0; index < boardSize; index++)
                if (index != bc.X)
                    yield return new BoardCoordinate(bc.X, index);

            for (int index = 0; index < boardSize; index++)
                if (index != bc.Y)
                    yield return new BoardCoordinate(index, bc.Y);
        }
    }
}
